Subject: [alpine-aports] [PATCH] community/perl-sys-syslog: fix -doc, apkbuild cleanups

From: Valery Kartel <[email-masked]>
Date: Mon, 23 Jan 2017 13:16:46 +0200

---
 community/perl-sys-syslog/APKBUILD | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

diff --git a/community/perl-sys-syslog/APKBUILD b/community/perl-sys-syslog/APKBUILD
index b5534fdac2..e814ab77bd 100644
--- a/community/perl-sys-syslog/APKBUILD
+++ b/community/perl-sys-syslog/APKBUILD
@@ -4,7 +4,7 @@
 pkgname=perl-sys-syslog
 _pkgreal=Sys-Syslog
 pkgver=0.35
-pkgrel=0
+pkgrel=1
 pkgdesc="Perl interface to the UNIX syslog(3) calls"
 url="http://search.cpan.org/dist/Sys-Syslog/"
 arch="all"
@@ -15,25 +15,29 @@ depends="$cpandepends"
 makedepends="perl-dev $cpanmakedepends"
 subpackages="$pkgname-doc"
 source="http://search.cpan.org/CPAN/authors/id/S/SA/SAPER/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 prepare() {
-	cd "$_builddir"
+	cd "$builddir"
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
 }
 
 build() {
-	cd "$_builddir"
-	make && make test
+	cd "$builddir"
+	make && make test || return 1
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
 }
 
+doc() {
+	default_doc
+	replaces="perl-doc"
+}
+
 md5sums="59dfb279f78a5ff587ba2ee8989b13e8  Sys-Syslog-0.35.tar.gz"
 sha256sums="fe28e47b70b77aaae754385fe1470d174289e7b6908efa247d2e52486516fbb7  Sys-Syslog-0.35.tar.gz"
 sha512sums="94f35e3008e1f01af7c02f4672c0b85fb9d92bd51ecddbd064d08e6fc81a203aef7655386174e6b38814b1500a21553324985fe169e3dc8d8b9829590bceffc9  Sys-Syslog-0.35.tar.gz"
-- 
2.11.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---